DIRNAME=`dirname $0`

SERVER_HOME=$DIRNAME/..
export SERVER_HOME



if [ "x$JAVA" = "x" ]; then
	if [ "x$JAVA_HOME" != "x" ]; then
		JAVA="$JAVA_HOME/bin/java"
	else
		JAVA=`which java`
	fi
fi

CLASS_PATH=$SERVER_HOME/classes/

for i in `find $SERVER_HOME/lib/ -name "*.jar"`
do
	CLASS_PATH=$CLASS_PATH:$i
done

for i in `ls $SERVER_HOME/teleadapters/` 
do

	if [ -d "$SERVER_HOME/teleadapters/$i/classes/" ]; then
		CLASS_PATH=$CLASS_PATH:$SERVER_HOME/teleadapters/$i/classes/
	fi

	if [ -d "$SERVER_HOME/teleadapters/$i/lib/" ]; then
		for j in `find $SERVER_HOME/teleadapters/$i/lib/ -name "*.jar"`
		do
			CLASS_PATH=$CLASS_PATH:$j
		done
	fi

	
done

echo $CLASS_PATH
